package com.cours.dao;

import java.util.List;

import com.cours.entities.Personne;

public interface IPersonneDao {

    public List<Personne> findAll();

    public Personne findById(Integer id);

    public Personne authenticate(String prenom, String nom);

    public Personne create(Personne person);

    public Personne update(Personne person);

    public Boolean delete(Personne person);
    
    public Boolean createBatchPersonnes(List<Personne> personnes);
}
