package com.cours.utils;

/**
 *
 * @author ElHadji
 */
public class Constants {
	// Url de connexion en base de donnée
	// MYSQL 5 :
	// jdbc:mysql://localhost:3306/base_personnes_one_to_one_table_assoc?serverTimezone=UTC&useSSL=false
	// MYSQL 8 :
	// jdbc:mysql://localhost:3308/base_personnes_one_to_one_table_assoc?serverTimezone=UTC
	public static String DATABASE_URL = "jdbc:mysql://localhost:3308/base_personnes_one_to_one_table_assoc?serverTimezone=UTC";

	// Utilisateur de la base de données
	public static String DATABASE_USER = "application";

	// Mot de passe de la base de données
	public static String DATABASE_PASSWORD = "passw0rd";

	public static String DATABASE_NAME = "base_personnes_one_to_one_table_assoc";
	// Drivers Jdbc
	// MYSQL 5 : com.mysql.jdbc.Driver
	// MYSQL 8 : com.mysql.cj.jdbc.Driver
	public static String JDBC_DRIVER = "com.mysql.cj.jdbc.Driver";

	// MYSQL Datasource MaxActive Connections
	public static Integer MAX_ACTIVE = 20;
	// Junit
	public static String SQL_JUNIT_PATH_FILE = "script_test_junit_base_personnes_one_to_one_table_assoc.sql";

	// Constante IMC
	public static double LIMITE_INF_MAIGRE = 16.5;
	public static double LIMITE_SUP_MAIGRE = 18.5;

	public static double LIMITE_INF_SURPOIDS = 25;
	public static double LIMITE_SUP_SURPOIDS = 30;
}
